var expect = require('chai').expect;
var sinon = require('sinon');
var fs = require('fs');
var path = require('path');


var ValidationMetadata = require('../src/lib/validationMetadata');

describe('validationMetadata test', function() {

    var sandbox;
    beforeEach(function () {
        sandbox = sinon.sandbox.create();
    });

    it('creates a ValidationMetadata object', function() {
        var validationMetadata = new ValidationMetadata(__dirname + "/mock/dummyProj", ["error", "info"]);
        expect(validationMetadata.getRootPath()).to.equal(__dirname + "/mock/dummyProj");
        expect(validationMetadata.getLevels()).to.deep.equal(["error", "info"]);
        expect(validationMetadata.getFilters()).to.deep.equal({"levels": ["error", "info"]});
        expect(validationMetadata.getName ()).to.equal("dummyProj");
    });

    afterEach(function () {
        sandbox.restore();
    });

});